//
//  TermsRepository.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class TermsRepository {
    private let api = MoyaProvider<TermsApi>()
    
    func getTermsOfService() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.terms)
    }
    
    func getPrivacyPolicy() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.privacy)
    }
}
